function fnValidateStockInward() {
    var himsValidator;
    himsValidator = [new hims_ctl_val('ctl00_CP_ToStoreLocationDropDownList', "To StoreLocation", "T", "", "", "", "", "", "")];
    if (fnDoValidate(himsValidator))
        return true;
    else
        return false;
}
function fnValidateAddToList() {
    var himsValidator;
    himsValidator = [new hims_ctl_val('ctl00_CP_StockItemCodeTextBox' + '_NameTextBox', "Item Code", "T", "", "", "", "", "", ""),
                                    new hims_ctl_val("ctl00_CP_InwardQtyTextBox", "Inward Qty", "T", "", "", "", "", "", ""),
                                     new hims_ctl_val("ctl00_CP_InwardValueTextBox", "Inward Value", "T", "", "", "", "", "", "")];
    if (fnDoValidate(himsValidator))
        return true;
    else
        return false;
}
function uppercase() {
    key = window.event.keyCode;
    if ((key > 0x60) && (key < 0x7B))
        window.event.keyCode = key - 0x20;
}
function fnClearTabIndexChange() {

}
function fnCloseForm() {
    window.close();
    return false;
}


//function cpageLoad() {
//    var browser = navigator.userAgent.toLowerCase();
//    if (browser.indexOf('firefox') >= 0) {
//        $("#ctl00_CP_FileUpload1").fileUpload({
//            'uploader': '../../../UserControls/MultiFileUpload/uploader.swf',
//            'cancelImg': '../../../Images/cancel.png',
//            'script': '../../../UserControls/MultiFileUpload/Upload.ashx?ASPSESSID=' + $('#ctl00_CP_hdnSessionid').val(),
//            'fileExt': '*.jpg;*.jpeg;*.gif;*.png',
//            'multi': true,
//            'auto': true
//        });
//    }
//    else {
//        $("#ctl00_CP_FileUpload1").fileUpload({
//            'uploader': '../../../UserControls/MultiFileUpload/uploader.swf',
//            'cancelImg': '../../../Images/cancel.png',
//            'script': '../../../UserControls/MultiFileUpload/Upload.ashx',
//            'fileExt': '*.jpg;*.jpeg;*.gif;*.png',
//            'multi': true,
//            'auto': true
//        });
//    }
//}

var reader = new FileReader();
reader.onload = function (e) {
}
function readURL(input) {
    if (input.id == "FileUpload1") {
        if (input.files && input.files[0]) {
            reader.readAsDataURL(input.files[0]);
            ajaxFileUpload1();
        }
    }
    else {
        if (input.files && input.files[0]) {
            reader.readAsDataURL(input.files[0]);
            ajaxFileUpload();
        }
    }
}
function OpenFileUpload() {
    $('#flUpload').click();
}
function LoadingMessage(msg1, msg2) {
    $('#dvTestLoadingmsg').show();
    $('#spn1msg').html(msg1);
    $('#spn2msg').html(msg2);
    $('.hls-bg').show();
}
function CloseLoadingpopup() {
    $('#dvTestLoadingmsg').hide();
    $('.hls-bg').hide();
}
function ajaxFileUpload() {
    if (ValidateImageDetails()) {
        LoadingMessage('Uploading', '<b>Please Wait</b>');
        $("#loading").ajaxStart(function () {
            $(this).show();
        }).ajaxComplete(function () {
            $(this).hide();
        });
        $.ajaxFileUpload({
            url: '/UserControls/MultiFileUpload/common-file-upload.ashx',
            secureuri: false,
            fileElementId: 'flUpload',
            dataType: 'text',
            contentType: "application/json; charset=utf-8",
            data: { name: 'logan', id: 'id', hdn: '1' },
            success: function (response, status) {
                if (response == "-007") {
                    alert('Cannot upload file as the used space exceeds allocated space')
                    return
                }
                if (response == "-008") {
                    alert('Invalid Extention')
                    return
                }
                if (response == "-009") {
                    alert('Cannot include / or .. in a filename')
                    return;
                }
                /*var str = response;
                str = str.replace('<pre style="word-wrap: break-word; white-space: pre-wrap;">','');
                str = str.replace('</pre>','');				
                $('#hdnFileName').val(str);*/
                window.setTimeout(function () {
                    CloseLoadingpopup();
                    $("#ctl00_CP_Label2").text("Uploaded Successfully");
                }, 100);
            },
            error: function (response, status, e) {
                window.setTimeout(function () {
                    CloseLoadingpopup();
                }, 100);
            }
        })
        return false;
    }
}
function isFile(file) {
    var video = /\.(xls|)$/i;
    var CSV = /\.(csv|)$/i;
    var xlsx = /\.(xlsx|)$/i;
    if (video.test(file.toLowerCase()) || CSV.test(file.toLowerCase()) || xlsx.test(file.toLowerCase()))
        return true;
    else
        return false;
}
function ValidateImageDetails() {
    var fields;
    fields = "";
    var file = document.getElementById('flUpload').value;
    //if (isFile(document.getElementById('flUpload').value) == false || document.getElementById('flUpload').value == null) {
    //    fields = fields + "\n-- Invalid file --";
    //}
    if (fields != "") {
        fields = "Please fill in the following details:\n------------------------------------" + fields;
        alert(fields);
        return false;
    }
    else {
        return true;
    }
}


var reader1 = new FileReader();
reader1.onload = function (e) {
}
function readURL1(input) {
    //if (input.files && input.files[0]) {
    //    reader.readAsDataURL(input.files[0]);
    //    ajaxFileUpload1();
    //}
    if (input.files && input.files[0]) {
        reader.readAsDataURL(input.files[0]);
        filename = input.files[0].name;
        if (filename.includes('\u008d')) {
            alert('Please use proper filename')
            $('#FileUpload1')[0].value = '';
        }
        else if ($('#ctl00_CP_UploadConfigurationHiddenField').val() == "Azure") {
            ajaxFileUploadAzure();
        }
        else {
            ajaxFileUpload1();
        }
    }
}
function OpenFileUpload1() {
    $('#FileUpload1').click();
}
function ajaxFileUpload1() {
    if (ValidateImageDetails1()) {
        LoadingMessage('Uploading', '<b>Please Wait</b>');
        $("#loading").ajaxStart(function () {
            $(this).show();
        }).ajaxComplete(function () {
            $(this).hide();
        });
        $.ajaxFileUpload({
            url: '/UserControls/MultiFileUpload/common-file-upload.ashx',
            secureuri: false,
            fileElementId: 'FileUpload1',
            dataType: 'text',
            contentType: "application/json; charset=utf-8",
            data: { name: 'logan', id: 'id', hdn: '2' },
            success: function (response, status) {
                if (response == "-007") {
                    alert('Cannot upload file as the used space exceeds allocated space')
                    return
                }
                if (response == "-008") {
                    alert('Invalid Extention')
                    return
                }
                if (response == "-009") {
                    alert('Cannot include / or .. in a filename')
                    return;
                }
                window.setTimeout(function () {
                    CloseLoadingpopup();
                    $("#ctl00_CP_Label3").text("Uploaded Successfully");
                }, 100);
            },
            error: function (response, status, e) {
                window.setTimeout(function () {
                    CloseLoadingpopup();
                }, 100);
            }
        })
        return false;
    }
}
function isFile1(file) {
    var pdf = /\.(pdf|)$/i;
    var img = /\.(jpg|jpeg|png|)$/i;
    if (img.test(file.toLowerCase()) || pdf.test(file.toLowerCase()))
        return true;
    else
        return false;
}
function ValidateImageDetails1() {
    var fields;
    fields = "";
    var file = document.getElementById('FileUpload1').value;
    if (isFile1(document.getElementById('FileUpload1').value) == false || document.getElementById('FileUpload1').value == null) {
        fields = fields + "\n-- Invalid file --";
    }
    if (fields != "") {
        fields = "Please fill in the following details:\n------------------------------------" + fields;
        alert(fields);
        return false;
    }
    else {
        return true;
    }
}
function ajaxFileUploadAzure() {
    if (ValidateImageDetails1()) {
        LoadingMessage('Uploading', '<b>Please Wait</b>');
        $("#loading").ajaxStart(function () {
            $(this).show();
        }).ajaxComplete(function () {
            $(this).hide();
        });
        var ScreenTypeId = 36;
        var UserSourceTypeId = $('#ctl00_CP_UserSourceTypeHiddenField').val();
        var UserSourceId = $('#ctl00_CP_UserSourceIdHiddenField').val();
        var DocumentId = 0;
        if ($('#ctl00_CP_DetailHiddenField').val() != '')
            DocumentId = $('#ctl00_CP_DetailHiddenField').val();
        var DocumentName = filename;
        var GUID = 0;
        if ($('#ctl00_CP_GUIDHiddenField').val() != '')
            GUID = $('#ctl00_CP_GUIDHiddenField').val();
        $.ajaxFileUpload({
            url: '/UserControls/MultiFileUpload/DocumentUpload.ashx?ScreenTypeId=' + ScreenTypeId + '&UserSourceTypeId=' + UserSourceTypeId + '&UserSourceId=' + UserSourceId + '&DocumentId=' + DocumentId + '&DocumentName=' + DocumentName + '&GUID=' + GUID,
            secureuri: false,
            fileElementId: 'FileUpload1',
            dataType: 'text',
            contentType: "application/json; charset=utf-8",
            data: { name: 'logan', id: 'id', hdn: '1' },
            success: function (response, status) {
                if (response == "-007") {
                    alert('Cannot upload file as the used space exceeds allocated space');
                    return;
                }
                if (response == "-008") {
                    alert('Invalid Extention');
                    return;
                }
                window.setTimeout(function () {
                    CloseLoadingpopup();
                    $("#ctl00_CP_Label3").text("Uploaded Successfully");
                }, 100);
            },
            error: function (response, status, e) {
                window.setTimeout(function () {
                    CloseLoadingpopup();
                }, 100);
            }
        })
        return false;
    }
}